using ComputerShopContracts.BindingModels;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.StorageContracts
{
    public interface ISupplyStorage
    {
        List<SupplyViewModel> GetFullList();
        List<SupplyViewModel> GetFilteredList(SupplySearchModel model);
        SupplyViewModel? GetElement(SupplySearchModel model);
        SupplyViewModel? Insert(SupplyBindingModel model);
        SupplyViewModel? Update(SupplyBindingModel model);
        SupplyViewModel? Delete(SupplyBindingModel model);
    }
}
